Bug 139051 - ignoring font path element /usr/X11R6/lib/X11/fonts/Speedo (unreadable)
ignoring font path element /usr/X11R6/lib/X11/fonts/Speedo (unreadable)
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2004-11-12 14:00 EST by Remi COLLET
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-12 17:12:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Remi COLLET 2004-11-12 14:00:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
After fresh install of FC3 this message in syslog :

Nov 11 09:36:14 remi xfs: Demarrage de xfs succeeded
Nov 11 09:36:15 remi xfs[2748]: ignoring font path element
/usr/X11R6/lib/X11/fonts/Speedo (unreadable)

I don't see any problem in this directory (no difference with the same
on e a FC2 machine).

I'm searching a font problem because some prog. complains about
missing font.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Booting or restarting xfs service

Actual Results:  Error in the /var/log/messages

Expected Results:  No message

Additional info:
Comment 1 Mike A. Harris 2004-11-12 17:12:28 EST
The system comes with all supplied font directories preconfigured,
so that fonts can just be dropped into the pre-existing supplied
directories, the correct commands executed to prepare the font
metadata files (mkfontdir, ttmkfdir, mkfontscale, etc.) and fonts
will be ready for use.

Some of the preconfigured directories, such as the "Speedo" and
"local" dirs are shipped without any fonts, but supplied for
backwards compatibility, and for users to drop speedo fonts into,
etc.  This makes it easier for those users who do have speedo
(or whatever particular fonts) to get them to work without having
to manually add the font paths and get them in the correct place
in the config.

Since there are no fonts included however, xfs and possibly other
applications will scan the directories looking for fonts, and if
they do not find any, they will generate a warning message in the
log file or to the console.

These are just harmless warning messages indicating the particular
font directory is configured for fonts, but does not contain any
fonts.  They are not error messages and do not indicate an error
or problem condition.

In other words, these harmless warning messages are unrelated
to the problem you may be having.  You may find the Red Hat
public mailing lists to be helpful in troubleshooting your font
related problem however.

Hope this helps.

Setting status to "NOTABUG"
Comment 2 Toni Willberg 2005-01-09 13:17:22 EST
Mike, there are fonts installed into Speedo dir by default:

# ll /usr/X11R6/lib/X11/fonts/Speedo
total 576
-rw-r--r--  1 root root 73994 Oct 19 21:05 font0419.spd
-rw-r--r--  1 root root 73570 Oct 19 21:05 font0582.spd
-rw-r--r--  1 root root 74266 Oct 19 21:05 font0583.spd
-rw-r--r--  1 root root 73686 Oct 19 21:05 font0611.spd
-rw-r--r--  1 root root 59472 Oct 19 21:05 font0648.spd
-rw-r--r--  1 root root 61214 Oct 19 21:05 font0649.spd
-rw-r--r--  1 root root 59460 Oct 19 21:05 font0709.spd
-rw-r--r--  1 root root 61065 Oct 19 21:05 font0710.spd
-rw-r--r--  1 root root  1689 Oct 21 16:22 fonts.dir
-rw-r--r--  1 root root  1689 Oct 19 21:05 fonts.scale

# rpm -qf /usr/X11R6/lib/X11/fonts/Speedo/font0649.spd

And base-fonts is needed by (installed) xorg-x11-6.8.1-12.FC3.21.i386
Comment 3 Thomas Gordon 2005-03-04 22:09:37 EST
yes, why is there 580k of no fonts?  file magic says they are X11
Speedo fonts.  I don't like errors on default installs.

Note You need to log in before you can comment on or make changes to this bug.